import java.util.*;
import java.io.*;

public class nim_as_backtrack implements Runnable {
    HashMap<ArrayList<Integer>, Integer> pos;

    int dfs(ArrayList<Integer> a) {
        if (a.size() == 0) {
            pos.put(a, -1);
            return -1;
        }

        if (pos.containsKey(a)) {
            return pos.get(a);
        }

        boolean win = false;
        for (int i = 0; i < a.size(); i++) {
            int x = a.get(i);
            search:
            for (int y = 1; y < x; y++) {
                for (int j = 0; j < a.size(); j++) {
                    if (i != j && a.get(j) == y) {
                        continue search;
                    }
                }
                ArrayList<Integer> b = new ArrayList<Integer>(a.size());
                for (int j = 0; j < a.size(); j++) {
                    if (i == j) {
                        b.add(y);
                    } else {
                        b.add(a.get(j));
                    }
                }
                Collections.sort(b);
                if (dfs(b) == -1) {
                    pos.put(a, 1);
                    return 1;
                }
            }
            ArrayList<Integer> b = new ArrayList<Integer>(a.size() - 1);
            for (int j = 0; j < a.size(); j++) {
                if (i != j) {
                    b.add(a.get(j));
                }
            }
            if (dfs(b) == -1) {
                pos.put(a, 1);
                return 1;
            }
        }

        pos.put(a, -1);
        
        return -1;
    }

    public void solve() throws IOException {
        Scanner in = new Scanner(new File("nim.in"));
        PrintWriter out = new PrintWriter("nim.out");

        pos = new HashMap<ArrayList<Integer>, Integer>();

        while (true) {
            int a = in.nextInt();
            int b = in.nextInt();
            int c = in.nextInt();

            if (a == 0 && b == 0 && c == 0) {
                break;
            }

            ArrayList<Integer> z = new ArrayList<Integer>(3);
            z.add(a);
            z.add(b);
            z.add(c);

            if (dfs(z) == 1) {
                out.println("Alice wins the game.");
            } else {
                out.println("Bob wins the game.");
            }
        }

        in.close();
        out.close();
    }

    public void run() {
        try {
            solve();
        } catch (IOException e) {
        }
    }

    public static void main(String[] arg) {
        new Thread(new nim_as_backtrack()).start();
    }
}